%global optflags        %{optflags} -flto
%global build_ldflags   %{build_ldflags} -flto

Name:           stacer 
Version:        1.1.0
Release:        18%{?dist}
Summary:        Linux system optimizer and monitoring

License:        GPLv3+
URL:            https://github.com/oguzhaninan/Stacer
Source0:        %{url}/archive/v%{version}/%{name}-%{version}.tar.gz

BuildRequires:  desktop-file-utils
BuildRequires:  gcc-c++
BuildRequires:  qt5-linguist
BuildRequires:  pkgconfig(Qt5)
BuildRequires:  pkgconfig(Qt5Charts)
BuildRequires:  pkgconfig(Qt5Svg)
BuildRequires:  cmake(KF5CoreAddons)
BuildRequires:  cmake(KF5Config)
BuildRequires:  cmake(KF5I18n)
BuildRequires:  cmake(KF5WindowSystem)
BuildRequires:  cmake(KF5Completion)
BuildRequires:  cmake(KF5Auth)
BuildRequires:  cmake(KF5WidgetsAddons)

Requires:       hicolor-icon-theme
Requires:       nde-auth


%description
Stacer is an open source system optimizer and application monitor that helps
users to manage entire system with different aspects, its an all in one system
utility.


%package        devel
Summary:        Development files for %{name}

Requires:       %{name}%{?_isa} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries files for developing applications
that use %{name}.


%prep
%autosetup -n stacer-%{version}


%build
%qmake_qt5
%make_build

# Build translations
lrelease-qt5 stacer/stacer.pro

%install
install -Dp -m 0755 stacer/stacer \
    %{buildroot}%{_libdir}/stacer/stacer

mkdir -p            %{buildroot}%{_bindir}
ln -s               %{_libdir}/stacer/stacer \
    %{buildroot}%{_bindir}/stacer

install -D -m 0755  stacer-core/libstacer-core.so.1.0.0 \
    %{buildroot}%{_libdir}

mkdir -p             %{buildroot}%{_includedir}/stacer-core/
install -D -m 0755  stacer-core/*.h \
    %{buildroot}%{_includedir}/stacer-core/
mkdir -p             %{buildroot}%{_includedir}/stacer-core/Info
install -D -m 0755  stacer-core/Info/*.h \
    %{buildroot}%{_includedir}/stacer-core/Info/
mkdir -p             %{buildroot}%{_includedir}/stacer-core/Tools
install -D -m 0755  stacer-core/Tools/*.h \
    %{buildroot}%{_includedir}/stacer-core/Tools/
mkdir -p             %{buildroot}%{_includedir}/stacer-core/Utils
install -D -m 0755  stacer-core/Utils/*.h \
    %{buildroot}%{_includedir}/stacer-core/Utils/

ln -s   'libstacer-core.so.1.0.0' %{buildroot}%{_libdir}/libstacer-core.so.1.0
ln -s   'libstacer-core.so.1.0.0' %{buildroot}%{_libdir}/libstacer-core.so.1
ln -s   'libstacer-core.so.1.0.0' %{buildroot}%{_libdir}/libstacer-core.so
mkdir -p            %{buildroot}%{_datadir}
cp -ar              icons %{buildroot}%{_datadir}
install -D -m 0644  applications/stacer.desktop \
    %{buildroot}%{_datadir}/applications/stacer.desktop

# Install translations
mkdir   -p          %{buildroot}%{_libdir}/stacer/translations
install -D -m 0644  translations/*qm \
    %{buildroot}%{_libdir}/stacer/translations/

%find_lang %{name} --with-qt


%check
# https://github.com/oguzhaninan/Stacer/pull/283
desktop-file-validate %{buildroot}%{_datadir}/applications/*.desktop


%files -f %{name}.lang
%license LICENSE
%doc README.md
%dir %{_libdir}/%{name}/
%{_bindir}/%{name}
%{_datadir}/applications/*.desktop
%{_datadir}/icons/hicolor/*/*/*.png
%{_libdir}/%{name}/%{name}
%{_libdir}/libstacer-core.so.1*

# Translations files which rpm macros cant handle
%dir %{_libdir}/%{name}/translations/
%{_libdir}/%{name}/translations/stacer_ca-es.qm
%{_libdir}/%{name}/translations/stacer_zh-cn.qm
%{_libdir}/%{name}/translations/stacer_zh-tw.qm

%files devel
%{_libdir}/libstacer-core.so
%{_includedir}/stacer-core/*

%changelog
* Tue Jun 13 2023 HeLeilei <he.leilei@gd-linux.com> - 1.1.0-18
- 修复显示内存异常的问题

* Thu Nov 18 2021 Luo junchao <luo.junchao@gd-linux.com> - 1.1.0-17
- devel包导出头文件

* Wed Jun 23 2021 Wu Shangmin <wu.shangmin@gd-linux.com> - 1.1.0-16
- 汉化窗口标题(#3737)

* Thu May 20 2021 Li Shengsong <li.shengsong@gd-linux.com> - 1.1.0-15
- 对14版本显示进程名称进行优化，修复多组存在时数据错误显示的问题

* Tue May 18 2021 Li Shengsong <li.shengsong@gd-linux.com> - 1.1.0-14
- 实现进程管理器中，只显示进程名的需求 

* Wed Jan 13 2021 Wu Jiaheng <wu.jiaheng@zte.com.cn> - 1.1.0-13
- 加载翻译文件在加载ui文件前 

* Wed Jan 13 2021 Wu Jiaheng <wu.jiaheng@zte.com.cn> - 1.1.0-12
- 及时更新点击item，汉化操作提前

* Mon Dec 28 2020 lv kaiyi <lv.kaiyi@zte.com.cn> - 1.1.0-11
- 添加进程调度操作 

* Fri Nov 27 2020 lv kaiyi <lv.kaiyi@zte.com.cn> - 1.1.0-10
- 修改界面

* Fri Jan 31 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.0-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Tue Dec 17 2019 Artem Polishchuk <ego.cordatus@gmail.com> - 1.1.0-8
- Cosmetic spec file fixes
- Enable LTO

* Sat Jul 27 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Fri May 17 2019 Artem Polishchuk <ego.cordatus@gmail.com> - 1.1.0-6
- Initial package
